import pygame
import pygame.camera
import time
import serial
from pygame.locals import *
import os

endApp = False
imageCounter = 0

pygame.init()
pygame.camera.init()
os.environ["SDL_VIDEODRIVER"] = "dummy"
pygame.display.init()
screen = pygame.display.set_mode((1,1))

serialPort = serial.Serial(port = "/dev/ttyACM0", baudrate=9600,
                           bytesize=8, timeout=2, stopbits=serial.STOPBITS_ONE)


distanceTrigger = 100

try:
    
    camlist = pygame.camera.list_cameras()
    cam = pygame.camera.Camera(camlist[0], (1280,720))
    cam.start()
except:
    pass        

while(endApp == False):

    events = pygame.event.get()
    
    for e in events:
        if e.type == QUIT or (e.type == KEYDOWN and e.key == K_ESCAPE):
            cam.stop()
            endApp = True

    serialString = serialPort.readline()
    serialString = serialString[:-2]
    print(serialString)

    try:
            
        if(float(serialString) < distanceTrigger):                
            image = cam.get_image()  
            #display.blit(image, (0,0))
            #pygame.display.flip()
            pygame.image.save(image, "img" + str(imageCounter) + ".jpg")
            imageCounter = imageCounter + 1    
    except:
        print("error")

    time.sleep(1)

pygame.quit()
serialPort.close()
